# Generated from polygonio-0.2.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name polygonio

Name: rubygem-%{gem_name}
Version: 0.2.4
Release: 1%{?dist}
Summary: Client library for polygon.io. Polygon IO is an API for market data
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(bundler-audit) >= 0.6
# BuildRequires: rubygem(bundler-audit) < 1
# BuildRequires: rubygem(dotenv) >= 2.7
# BuildRequires: rubygem(dotenv) < 3
# BuildRequires: rubygem(faker) >= 2.11
# BuildRequires: rubygem(faker) < 3
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(rubocop) >= 0.80
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-performance) >= 1.5
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(vcr) >= 5.1
# BuildRequires: rubygem(vcr) < 6
BuildArch: noarch

%description
Client library for polygon.io's REST and Websocket API's. Polygon IO is an API
for market data.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/polygonio.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.2.4-1
- Initial package
